Name:           perl-parent
Version:        0.221
Release:        2%{?dist}
Summary:        Establish an ISA relationship with base classes at compile time
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/parent/
Source0:        http://www.cpan.org/authors/id/C/CO/CORION/parent-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)

%description
Allows you to both load one or more modules, while setting up inheritance
from those modules at the same time. Mostly similar in effect to:

    package Baz;
    
    BEGIN {
        require Foo; 
        require Bar; 
        
        push @ISA, qw(Foo Bar); 
    }

%prep
%setup -q -n parent-%{version}

find . -type f -exec chmod -c -x {} +

cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
sed -e '/perl([DFR].*)/d'
EOF

%define __perl_provides %{_builddir}/parent-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 19 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.221-2
- bump

* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.221-1
- Specfile autogenerated by cpanspec 1.75.
